package com.sw.common.accessory.server.service;

import com.sw.common.accessory.server.dto.AccessoryProductionOrderDto;
import com.sw.common.accessory.server.dto.ProductionScheduleDto;
import com.sw.common.accessory.server.entity.AccessoryProductionOrder;
import com.sw.common.core.response.Result;
import com.sw.common.mybatisplus.base.BaseService;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/3/9 20:03
 */
public interface AccessoryProductionOrderService extends BaseService<AccessoryProductionOrder> {
    AccessoryProductionOrder findMaterialCodeAndProductionNo(String materialCode, String productionNo,String deviceCode);
    AccessoryProductionOrder findOrderNoId(Long orderNoId);
    List<AccessoryProductionOrder> findAllProductionOrderNo();
    List<AccessoryProductionOrder> findAllMaterialOrderNo();
    AccessoryProductionOrder findByOrderNoId(Long orderNoId);
    AccessoryProductionOrder productionMaterialToSAP( Long orderNoId,String deviceCode);
    AccessoryProductionOrder productionOrderToSAP( Long orderNoId,String deviceCode);
    AccessoryProductionOrder findMaterialCodeAndAccessoryId(String materialCode, Long accessoryId ,String deviceCode);
    Result<String> create(AccessoryProductionOrderDto dto);

    Result<String> update(AccessoryProductionOrderDto productionScheduleDto);

    Result productionMaterialToSAPs(ProductionScheduleDto productionScheduleDto);

    Result productionOrderToSAPs(ProductionScheduleDto productionScheduleDto);
}
